I noticed that your consumer packages are from 2.11 and server packages are
from 2.15 release. The two versions need to match up. Here[0] is where the
EL6 consumer packages for 2.15 are located.

[0] https://repos.fedorapeople.org/pulp/pulp/stable/2.15/6Server/x86_64/

On Wed, Feb 14, 2018 at 3:49 AM, Soham Chakraborty <dec.so...@gmail.com>
wrote:

> Hi,
>
> I was discussing this yesterday last night in IRC with dkliban and decided
> to give the wider group a try. Here is the basic background:
>
> I am using a Centos7 VM as my pulp server and Centos6 VM as my consumer.
> This is to showcase pulp as a content management solution for management
> folks in the company. I plan to move to katello at some point if GUI
> becomes necessary but for now pulp is sufficient.
>
> When I trying to do package install run from the pulp server, I am getting
> the error saying no handler for rpm type found. However the rpm handler is
> definitely present in consumer as well as in master.
>
> [root@client1 ~]# rpm -qa | grep -i pulp
> python-rhsm-1.8.0-2.pulp.el6.x86_64
> python-pulp-common-2.11.2-1.el6.noarch
> python-pulp-rpm-common-2.11.2-1.el6.noarch
> python-pulp-bindings-2.11.2-1.el6.noarch
> pulp-consumer-client-2.11.2-1.el6.noarch
> pulp-agent-2.11.2-1.el6.noarch
> python-isodate-0.5.0-4.pulp.el6.noarch
> python-pulp-agent-lib-2.11.2-1.el6.noarch
> python-pulp-client-lib-2.11.2-1.el6.noarch
> pulp-rpm-consumer-extensions-2.11.2-1.el6.noarch
> pulp-rpm-yumplugins-2.11.2-1.el6.noarch
> pulp-rpm-handlers-2.11.2-1.el6.noarch
>
> [root@client1 ~]# egrep -v '^(^#|$)' /etc/pulp/consumer/consumer.conf
> [server]
> host: pulp.example.com
> verify_ssl: False
> [authentication]
> [client]
> [filesystem]
> [reboot]
> [output]
> [messaging]
> transport: rabbitmq
> [profile]
> [root@client1 ~]#
>
> [root@pulp ~]# rpm -qa | grep -i pulp
> pulp-server-2.15.1-1.el7.noarch
> python-pulp-puppet-common-2.15.1-1.el7.noarch
> pulp-puppet-plugins-2.15.1-1.el7.noarch
> pulp-admin-client-2.15.1-1.el7.noarch
> pulp-selinux-2.15.1-1.el7.noarch
> python-pulp-rpm-common-2.15.1-1.el7.noarch
> python-pulp-docker-common-3.1.1-1.el7.noarch
> pulp-docker-plugins-3.1.1-1.el7.noarch
> python-pulp-bindings-2.15.1-1.el7.noarch
> python-pulp-client-lib-2.15.1-1.el7.noarch
> pulp-puppet-admin-extensions-2.15.1-1.el7.noarch
> pulp-docker-admin-extensions-3.1.1-1.el7.noarch
> python-pulp-agent-lib-2.15.1-1.el7.noarch
> python-isodate-0.5.0-4.pulp.el7.noarch
> python-kombu-3.0.33-8.pulp.el7.noarch
> python-pulp-repoauth-2.15.1-1.el7.noarch
> python-pulp-oid_validation-2.15.1-1.el7.noarch
> pulp-rpm-plugins-2.15.1-1.el7.noarch
> pulp-rpm-admin-extensions-2.15.1-1.el7.noarch
> pulp-rpm-handlers-2.15.1-1.el7.noarch
> python-pulp-common-2.15.1-1.el7.noarch
> [root@pulp ~]#
>
> The result of the verbose pulp package run is saved here:
>
> https://paste.fedoraproject.org/paste/zogmy30SwCU2gITV-0Qx~w
>
> Any help will be much appreciated.
>
> Thanks,
>
>
>
> _______________________________________________
> Pulp-list mailing list
> Pulp-list@redhat.com
> https://www.redhat.com/mailman/listinfo/pulp-list
>
_______________________________________________
Pulp-list mailing list
Pulp-list@redhat.com
https://www.redhat.com/mailman/listinfo/pulp-list

Reply via email to